<div class="cms-grid-wraper <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php if($atts['filter']=="true" and $atts['layout']=='masonry'):?>
        <div class="cms-grid-filter">
            <ul class="cms-filter-category list-unstyled list-inline">
                <li><a class="active" href="#" data-group="all"><?php echo esc_html('All'); ?></a></li>
                <?php
                if(is_array($atts['categories']))
                foreach($atts['categories'] as $category):?>
                    <?php $term = get_term( $category, $taxo );?>
                    <li><a href="#" data-group="<?php echo esc_attr('category-'.$term->slug);?>">
                            <?php echo esc_html($term->name);?>
                        </a>
                    </li>
                <?php endforeach;?>
            </ul>
        </div>
    <?php endif;?>
    <div class="row cms-grid <?php echo esc_attr($atts['grid_class']);?>">
        <?php
        $posts = $atts['posts'];
        while($posts->have_posts()){
            $posts->the_post();

            $taxo = 'catetory-pricing';

            $value = garden_get_post_meta('value');
            $currency = garden_get_post_meta('currency');
            $sub_title = garden_get_post_meta('sub_title');
            $text_button = garden_get_post_meta('text_button');
            $url_button = garden_get_post_meta('url_button');

            $groups = array();
            $groups[] = '"all"';
            foreach(cmsGetCategoriesByPostID(get_the_ID(),$taxo) as $category){
                $groups[] = '"category-'.$category->slug.'"';
            }
            ?>
            <div class="cms-grid-item-pricing <?php echo esc_attr($atts['item_class']);?>" data-groups='[<?php echo implode(',', $groups);?>]'>
                <div class="title-pricing">
                    <?php the_title();?>
                </div>
                <div class="price-pricing">
                    <div class="symbol"><?php echo esc_attr($currency);?></div><?php echo esc_attr($value);?>
                </div>
                <div class="sub-title-pricing">
                    <?php echo esc_attr($sub_title);?>
                </div>
                <div class="option">
                    <ul>
                        <?php
                            for ($i=1; $i <= 5 ; $i++) { 
                                $pricing_option =garden_get_post_meta("option".$i);
                                if ( !empty( $pricing_option ) ) {
                                    $pricing_option = explode(' ', $pricing_option);
                                    echo '<li><b>'.$pricing_option[0].'</b> ';
                                    for ($j=1; $j <= count($pricing_option) ; $j++) { 
                                        if (isset($pricing_option[$j])) echo esc_attr($pricing_option[$j] . ' ');
                                    }
                                    echo '</li>';
                                }
                            }
                        ?>
                    </ul>
                </div>
                <div class="button">
                    <a href="<?php echo esc_url($url_button);?>"><?php echo esc_attr($text_button);?></a>
                </div>
            </div>
            <?php
        }
        ?>
    </div>
</div>