<?php

/**
 * Shortcode attributes
 * @var $atts
 * @var $source
 * @var $text
 * @var $link
 * @var $google_fonts
 * @var $font_container
 * @var $el_class
 * @var $css
 * @var $font_container_data - returned from $this->getAttributes
 * @var $google_fonts_data - returned from $this->getAttributes
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Custom_heading
 */
$source = $text = $link = $google_fonts = $font_container = $el_class = $css = $font_container_data = $google_fonts_data = '';
// This is needed to extract $font_container_data and $google_fonts_data
extract( $this->getAttributes( $atts ) );

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

extract( $this->getStyles( $el_class, $css, $google_fonts_data, $font_container_data, $atts ) );

$letter_spacing = isset($atts['letter_spacing']) ? $atts['letter_spacing'] : '';

$style_number = isset($atts['style_number']) ? $atts['style_number'] : '';

$position_tagline = isset($atts['position_tagline']) ? $atts['position_tagline'] : '';

$style_number_select = '';
switch ($style_number) {
	case '1':
		$style_number_select = ' number-contact ';
		break;
	
	default:
		$style_number_select = ' ';
		break;
}

$settings = get_option( 'wpb_js_google_fonts_subsets' );
if ( is_array( $settings ) && ! empty( $settings ) ) {
	$subsets = '&subset=' . implode( ',', $settings );
} else {
	$subsets = '';
}

if ( isset( $google_fonts_data['values']['font_family'] ) ) {
	wp_enqueue_style( 'vc_google_fonts_' . vc_build_safe_css_class( $google_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $google_fonts_data['values']['font_family'] . $subsets );
}

if ( ! empty( $styles ) ) {
	$style = 'style="' . esc_attr( implode( ';', $styles ) ) . '  ;letter-spacing:' . $letter_spacing . ';"';
} else {
	$style = '';
}

if ( 'post_title' === $source ) {
	$text = get_the_title( get_the_ID() );
}

if ( ! empty( $link ) ) {
	$link = vc_build_link( $link );
	$text = '<a href="' . esc_attr( $link['url'] ) . '"'
		. ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' )
		. ( $link['title'] ? ' title="' . esc_attr( $link['title'] ) . '"' : '' )
		. '>' . $text . '</a>';
}

$separator_align = isset($atts['separator_align']) ? $atts['separator_align'] : '';
$tag_title = isset($atts['tag_title']) ? $atts['tag_title'] : '';
$border_weight = isset($atts['border_weight']) ? $atts['border_weight'] : '';


$weight = '';
switch ($border_weight) {
	case '2':
		$weight = '2px';
		break;
	case '3':
		$weight = '3px';
		break;
	default:
		$weight = '';
		break;
}
$align = '';
switch ($separator_align) {
	case '1':
		$align = 'right';
		break;
	case '2':
		$align = 'center';
		break;
	default:
		$align = 'left';
		break;
}

$output = '';
if ( apply_filters( 'vc_custom_heading_template_use_wrapper', false ) ) {
	$output .= '<div class="' . esc_attr( $css_class ) . $style_number_select .'" >';
	$output .= '<' . $font_container_data['values']['tag'] . ' ' . $style .' >';
	$output .= $text;
	$output .= '</' . $font_container_data['values']['tag'] . '>';
	$output .= '</div>';
	if($position_tagline == "1"){
		if($tag_title){
			$output .= '<span class="tag-line" style="display:block; text-align:'.$align.'"> '  . $tag_title . '</span>';
		}
		if($border_width){
			$output .= '<hr class="border-width" align="'.$align.'" style="width:45px !important;border-width:'.$weight.'px !important;margin-'.$align.': 0px !important;" />';
		}
	}
	if($position_tagline == "2"){
		if($border_width){
			$output .= '<hr class="border-width-bottom" align="'.$align.'" style="width:45px !important;border-width:'.$weight.'px !important;margin-'.$align.': 0px !important;" />';
		}
		if($tag_title){
			$output .= '<span class="tag-line-bottom" style="display:block; text-align:'.$align.'">' . $tag_title . '</span>';
		}
	}
	
} else {
	$output .= '<' . $font_container_data['values']['tag'] . ' ' . $style . ' class="' . esc_attr( $css_class ) . $style_number_select .' heading-site">';
	$output .= $text ;
	$output .= '</' . $font_container_data['values']['tag'] . '>';
	if($position_tagline == "1"){
		if($tag_title){
			$output .= '<span class="tag-line " style="display:block; text-align:'.$align.'"> ' . $tag_title . '</span>';
		}
		if($weight != ""){
			$output .= '<hr class="border-width" align="'.$align.'" style="width:45px !important;border-width:'.$weight.' !important;margin-'.$align.': 0px !important;" />';
		}
	}
	if($position_tagline == "2"){

		if($weight != ""){
			$output .= '<hr class="border-width-bottom" align="'.$align.'" style="width:45px !important;border-width:'.$weight.' !important;margin-'.$align.': 0px !important;" />';
		}
		if($tag_title){
			$output .= '<span class="tag-line-bottom" style="display:block; text-align:'.$align.'">' . $tag_title . '</span>';
		}
	}
}

echo ''.$output;
